org.apache.storm.scheduler

## Class SupervisorResources

- java.lang.Object
- - org.apache.storm.scheduler.SupervisorResources

-     public class SupervisorResources
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SupervisorResources(double totalMem, double totalCpu, Map<String,Double> totalGenericResources, double usedMem, double usedCpu, Map<String,Double> usedGenericResources)` Constructor for a Supervisor’s resources.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SupervisorResources` | `add(WorkerResources wr)`
    `SupervisorResources` | `addMem(Double value)`
    `double` | `getAvailableCpu()`
    `double` | `getAvailableMem()`
    `double` | `getTotalCpu()`
    `Map<String,Double>` | `getTotalGenericResources()`
    `double` | `getTotalMem()`
    `double` | `getUsedCpu()`
    `Map<String,Double>` | `getUsedGenericResources()`
    `double` | `getUsedMem()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SupervisorResources

          public SupervisorResources(double totalMem,
                                     double totalCpu,
                                     Map<String,Double> totalGenericResources,
                                     double usedMem,
                                     double usedCpu,
                                     Map<String,Double> usedGenericResources)

      Constructor for a Supervisor’s resources.

      Parameters:
        `totalMem` - the total mem on the supervisor
        `totalCpu` - the total CPU on the supervisor
        `totalGenericResources` - the total generic resources on the supervisor
        `usedMem` - the used mem on the supervisor
        `usedCpu` - the used CPU on the supervisor
        `usedGenericResources` - the used generic resources on the supervisor

  - ### Method Detail

    - #### getUsedMem

          public double getUsedMem()

    - #### getUsedCpu

          public double getUsedCpu()

    - #### getTotalMem

          public double getTotalMem()

    - #### getTotalCpu

          public double getTotalCpu()

    - #### getAvailableCpu

          public double getAvailableCpu()

    - #### getAvailableMem

          public double getAvailableMem()

    - #### getTotalGenericResources

          public Map<String,Double> getTotalGenericResources()

    - #### getUsedGenericResources

          public Map<String,Double> getUsedGenericResources()

    - #### add

          public SupervisorResources add(WorkerResources wr)

    - #### addMem

          public SupervisorResources addMem(Double value)

Copyright © 2021 The Apache Software Foundation. All rights reserved.